
Installer - Feature #36561

Run katello-certs-check in foreman-proxy-certs-generate when custom certificates are used

06/30/2023 03:56 PM - Ewoud Kohl van Wijngaarden

Status: Duplicate   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: foreman-installer script   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In the normal installer we run katello-certs-check (in hooks/pre_commit/20-certs_update.rb) but don't do this in

foreman-proxy-certs-generate so it's possible to create an invalid archive. Then when it's transferred to the target system it finally

runs and may show an error. It's best to warn the user as soon as possible so running katello-certs-check before generation is a

good thing.

Related issues:

Is duplicate of Installer - Feature #36843: Validate certificates as part of ... Closed

History

#1 - 07/04/2023 10:51 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/862 added

#2 - 11/09/2023 12:25 PM - Ewoud Kohl van Wijngaarden

- Is duplicate of Feature #36843: Validate certificates as part of foreman-proxy-certs-generate  added

#3 - 11/09/2023 12:25 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Duplicate

I realized I also created #36843 for this and ended up implementing more on that issue.

#4 - 11/09/2023 12:26 PM - The Foreman Bot

- Pull request deleted (https://github.com/theforeman/foreman-installer/pull/862)
